<!DOCTYPE html>
<html>
  <head>
    <title>Base</title>
    <meta charset="utf-8" />
  </head>
  <body>
    <form name="formulario" onsubmit="return formarNombre(apellido.value, nombre.value, nombreCompleto)">
      <label>Nombre:</label>
      <input id="id_nombre" name="nombre" />
      <label>Apellido:</label>
      <input id="id_apellido" name="apellido" />
      <button type="submit">Formar nombre</button>
      <label>Nombre completo:</label>
      <input id="id_nombreCompleto" name="nombreCompleto" />
    </form>
  </body>
  <script>
    /*
    function formarNombre() {
      /*
      var nombre = document.getElementById('nombre').value
      var apellido = document.getElementById('apellido').value
      */
     
      /*
      var formulario = document.forms["formulario"]
      var nombre = formulario.elements["nombre"].value
      var apellido = formulario.elements["apellido"].value
      */

      /*
      var nombre = document.forms["formulario"]["nombre"].value
      var apellido = document.forms["formulario"]["apellido"].value

      alert(apellido + ', ' + nombre)
    }
    */

    function formarNombre(apellido, nombre, nombreCompleto) {
      //alert(apellido + ', ' + nombre)
      nombreCompleto.value = apellido + ', ' + nombre
      return false
    }
  </script>
</html>